<app-spinner *ngIf="isLoading"></app-spinner>

<div class="actor_info">
  <div class="general_info_container">
    <div class="general_info_img_container">
      <img
        [src]="actor?.image ? actor?.image?.medium : 'assets/images/no-img.png'"
        [alt]="actor?.name"
        class="general_info_img"
      />

      <span
        class="material-icons actor_heart_icon"
        [title]="UI.txt_click_to_follow"
        (click)="addToFavorite(actor?.id)"
        >favorite</span
      >
    </div>

    <section class="general_info_panel">
      <h1 class="title">
        {{ actor?.name }}
      </h1>

      <div>
        <strong>Gender: </strong>
        <span>{{ actor?.gender }}</span>
      </div>

      <div>
        <strong>Age: </strong>
        <span>{{ actor?.birthday | getAge }}</span>
      </div>

      <div>
        <strong>Birthday:</strong>
        <span>
          {{ actor?.birthday | year }}
        </span>
      </div>

      <div *ngIf="actor?.deathday">
        <strong>Deathday:</strong>
        <span>
          {{ actor?.deathday | year }}
        </span>
      </div>

      <div>
        <strong>Born in:</strong>
        <span>{{ actor?.country?.name }}</span>
      </div>
    </section>
  </div>
</div>
